Bug 153991 - ATI Radeon Driver requires support for ES1000
ATI Radeon Driver requires support for ES1000
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: dff
Brian Brock
: FutureFeature
Depends On:
Blocks: 154048
  Show dependency treegraph
 
Reported: 2005-04-06 10:36 EDT by Rod Macdonald
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version: RHEL3 U6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-08 17:23:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rod Macdonald 2005-04-06 10:36:18 EDT
ATI has released to open source the code changes to support the ES1000 video 
processor (revision A12) which is primarily intended for the server market.

The Product Advisory follows:

Be advised the following release is now available:

Base configuration item: Open Source Linux Driver
          Release class: customer release
     Release Identifier: LGDO
              Available: DRI CVS = anoncvs@cvs.freedesktop.org:/cvs/dri
                         MESA CVS =
anoncvs@cvs.freedesktop.org:/cvs/mesa 
                         XORG CVS =
anoncvs@cvs.freedesktop.org:/cvs/xorg 

Notes:
1. The various components for building this driver have been updated to
support RN50/ES1000 - A12 revision.  To build this driver, please fetch
these upstream components from their respective CVS repositories
(mentioned above).

2. All information regarding code changes made to support the ES1000 can
be found at:
https://bugs.freedesktop.org/show_bug.cgi?id=2576

3. Obtaining the source and compiling = HOWTO:
http://dri.freedesktop.org/wiki/Building


CVS web links for all affected files:
XORG CVS
XORG xf86PciInfo.h Revision=1.5
http://cvs.freedesktop.org/xorg/xc/programs//Xserver/hw/xfree86/common/xf86PciI
nfo.h
XORG radeon_chipset.h  Revision=1.3
http://cvs.freedesktop.org/xorg/xc/programs/Xserver/hw/xfree86/drivers/ati/rade
on_chipset.h
XORG radeon_driver.c Revision=1.45
http://cvs.freedesktop.org/xorg/xc/programs/Xserver/hw/xfree86/drivers/ati/rade
on_driver.c
XORG radeon_probe.c Revision=1.8
http://cvs.freedesktop.org/xorg/xc/programs/Xserver/hw/xfree86/drivers/ati/rade
on_probe.c


DRI CVS
DRI drm_pciids.txt Revision=1.16
http://cvs.freedesktop.org/dri/drm/shared/drm_pciids.txt
DRI drm_pciids.txt Revision=1.18
http://cvs.freedesktop.org/dri/drm/shared-core/drm_pciids.txt

MESA CVS
MESA radeon_screen.c Revision=1.31
http://cvs.freedesktop.org/mesa/Mesa/src/mesa/drivers/dri/radeon/radeon_screen.
c


Individual Patches for each component for this change can be obtained
from:
XORG  =  https://bugs.freedesktop.org/attachment.cgi?id=2141&action=edit
DRI  =  https://bugs.freedesktop.org/attachment.cgi?id=2142&action=edit
MESA  =  https://bugs.freedesktop.org/attachment.cgi?id=2143&action=edit
Comment 2 Suzanne Hillman 2005-04-06 16:42:17 EDT
Internal RFE bug #154048 entered; will be considered for future releases.
Comment 3 Rod Macdonald 2005-04-15 11:10:28 EDT
HI Suzanne and redhat staff, 

Can you advise which release will contain this change.  Are you targeting 
RH3U6?

Comment 4 Suzanne Hillman 2005-04-15 11:48:36 EDT
As of yet, there has been nothing decided as far as when, or even if, this
change will go in. 

If this is something for which you have urgency, you would be best off to go
through support, as bugzilla is simply a bug tracking tool, and not a support
mechanism.

For support, please call 800-REDHAT1, or go to http://www.redhat.com/support
Comment 5 dff 2005-05-04 17:18:33 EDT

*** This bug has been marked as a duplicate of 156877 ***
Comment 6 Rod Macdonald 2005-11-01 15:33:59 EST
Testing at ATI using a Dell server with ES1000 video shows that RHEL4 U2 does
not recognize this part.  Instead "VESA driver generic" is shown on install.

RHEL3 U6 does recognize the ES1000 as a radeon class however it uses "ATI Radeon
(generic)" on install instead of ATI Radeon ES1000.
Comment 7 Rod Macdonald 2005-11-14 13:38:19 EST
According to one of our customers this problem is due to the lack of ES1000 
device IDs in sourceforge.  This has now been addressed.  

http://pciids.sourceforge.net/
Under 'Online list of ID's' for vendor id 1002 (ATI Technologies).
The following have been added:
>  515e for ES1000 revision A12, A21 
>  5969 also for ES1000 revision A11.

Note ATI does not have access to Bug 156877 so this update is provided here.
Comment 8 Larry Troan 2006-08-08 17:18:18 EDT
The fix for bug 156877 was shipped as CLOSED=ERRATA 
http://rhn.redhat.com/errata/RHSA-2005-501.html
and shipped as part of RHEL 3 Update 6.

Comment 9 Larry Troan 2006-08-08 17:23:33 EDT
This bug had been reopened by Rod Macdonald on 2005-11-14. I am closing this bug
as fixed in U6. If in error, please reopen the bug and update it with current
information including the results of testing against RHEL 3 Update 8.

Note You need to log in before you can comment on or make changes to this bug.